{% extends "transport/base.html" %}
{% load transport_utils l10n %}

{% block title %}Factures de {{ client }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ client }}</li>
{% endblock %}

{% block content %}
    <h3>Factures de {{ client }}</h3>

    {% include 'transport/client_tabs.html' with active='factures' %}

    <table class="table table-striped">
        <thead>
            <tr><th>N°</th><th>Mois</th><th>Date de facture</th><th>Montant</th><th></th>
                {% if trans_url %}<th>Transmise à la compta</th>{% endif %}
            </tr>
        </thead>
    {% for fact in factures %}
    <tr{% if fact.annulee %} class="Annulé"{% endif %}>
        <td>
            <a href="{{ fact.fichier_pdf.url }}">{{ fact.no }}</a>
        </td>
        <td>{{ fact.mois_facture|mois_fr }} {{ fact.mois_facture.year }}</td>
        <td>{{ fact.date_facture|date:'d.m.Y' }}</td>
        <td>CHF {{ fact.montant_total|unlocalize }}</td>
        <td>
            {% if not fact.annulee %}
            <button class="btn btn-primary openmodal"
                data-modalurl="{% url 'client-editer-facture' fact.pk %}"
                data-savelabel="Facturer"
                title="Regénérer la facture des transports de {{ fact.mois_facture|mois_fr }}">Regénérer
            </button>
            {% endif %}
            <form class="inline" method = "post"
                  action="{% url 'client-exporter-compta' fact.pk %}" method="post">
                {% csrf_token %}
                <button class="btn btn-primary" type="submit">Export compta</button>
            </form>
        </td>
        {% if trans_url %}
        <td>{% if fact.exporte %}{{ fact.exporte|date:'d.m.Y' }}
            {% else %}
                Non
                <form method="post" action="{{ trans_url }}" class="inline unmonitor">{% csrf_token %}
                    <input type="hidden" name="fact_id" value="{{ fact.pk }}">
                    <button class="btn btn-primary long-op" type="submit">Transmettre</button>
                </form>
            {% endif %}
        </td>
        {% endif %}
    </tr>
    {% empty %}
        <tr><td colspan="3"><i>Aucune facture à ce jour</i></td></tr>
    {% endfor %}
    </table>
{% endblock %}
